Bug 1295548 - WAS: creating a persistable data object causes an error
WAS: creating a persistable data object causes an error
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Data Modeler (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: DR1
: 6.3.0
Assigned To: Walter Medvedeo
Jiri Locker
:
Depends On: 1285433
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 14:44 EST by Alessandro Lazarotti
Modified: 2016-07-31 21:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1285433
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-01-04 14:44:04 EST
+++ This bug was initially created as a clone of Bug #1285433 +++

Description of problem:
When user creates a new data object and chooses to create it persistable, an error occurs (see steps). The New Item modal doesn|t disappear, the data object is created though.


Version-Release number of selected component (if applicable):
6.2 CR1


Steps to Reproduce:
1. Select a project (project1) and a package (org.example).
2. Click New Item, select data object, fill in some name (MyFact).
3. Check the "Persistable" option.
4. Click Ok.


Actual results:
An Error modal appears with the following message:
"Unable to complete your request. The following exception occurred: It was not possible to create Java file, for path: default://master@bpms-assets/project1/src/main/java/org/example, fileName: MyFact.java."
The new item modal doesn't disappear (if you close the error modal, the new item is still there). The data object is created anyway.


Expected results:
The data object is created without any errors.


Additional info:
Making a previously not persistable object persistable after its creation is okay.

--- Additional comment from Zuzana Krejčová on 2015-11-25 10:13 EST ---

This is just for different project/package/class names, but the exception is always the same.

--- Additional comment from Walter Medvedeo on 2015-12-02 03:19:04 EST ---


Fixed in master:

https://github.com/droolsjbpm/kie-wb-common/commit/9d794675a6f40496e7550c5c1df72017ed07f4b0

not yet cherry-picked into 6.3.x

--- Additional comment from Walter Medvedeo on 2015-12-09 13:02:12 EST ---

Now also cherry-picked into 6.3.x

https://github.com/droolsjbpm/kie-wb-common/commit/6dec268ef8d253b6f0f91b6519f5ec26a5319427
Comment 1 Walter Medvedeo 2016-01-11 06:21:34 EST
I don't understand the reason for creating a clone of the same BZ that was already In Modified state.
Comment 2 Jiri Locker 2016-03-30 06:04:31 EDT
Verified with BRMS 6.3.0.ER1 and IBM WebSphere Application Server, 8.5.5.9, following the steps to reproduce.

Note You need to log in before you can comment on or make changes to this bug.